<template>
  <SocialCallback :img="require('@/asset/social/google.png')" :in-progress="true"/>
</template>

<script>
  import SocialCallback from '@/pages/social-callback/component/SocialCallback'
  import { ButtonSignInFinished } from '@/config'
  import { SignInService } from '@/common/sign-in/service'

  export default {
    name: 'GoogleCallbackPage',
    components: { SocialCallback },
    props: {
      accessToken: String
    },
    async mounted() {
      await SignInService.signInWithGoogle(this.accessToken)
      ButtonSignInFinished.go()
    }
  }
</script>

<style scoped>

</style>